Subject: Re: bug#19281: 11.86; environment update fails when environment name contains \

From: Mosè Giordano <[email-masked]>
Date: Mon, 8 Dec 2014 21:51:28 +0100

To anyone replying to my previous message: please do not CC
[email-masked], unless you really want to send control
messages.

Thanks,
Mosè

2014-12-08 19:34 GMT+01:00 Mosè Giordano <[email-masked]>:
> tag 19281 confirmed
> thanks
>
>
> Hi Manuel,
>
> 2014-12-05 17:17 GMT+01:00 Manuel Sorge <[email-masked]>:
>>
>> I tried to update an environment in a latex document via C-u C-c C-e or
>> LaTeX-modify-environment but mistyped the name as 'theorem\'. I tried to
>> correct my error via C-u C-c C-e again but I got a search failed message:
>>
>> LaTeX-modify-environment: Search failed: "\\\\end{ *\\([a-zA-Z*]*\\)}"
>
> I can confirm the bug you reported.  Indeed, `\begin' and `\end'
> accept as valid environment names macros (not your case though) and
> macros with arguments, while `LaTeX-modify-environment' searches for
> names matching "[a-zA-Z*]".  So, I'm not sure how to fix it: Just add
> `TeX-esc' to the regexp?  Or matching everything between the opening
> and the closing brace (allowing at least one level of braces)?
> Suggestions welcome.
>
> Bye,
> Mosè